// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
  event.shaped('1x refinedstorage:machine_casing', [
    'SAS',
    'ABA',
    'SAS'
  ], {
    S: 'refinedstorage:quartz_enriched_iron',
    A: 'thermal:invar_plate',
	B: 'industrialforegoing:machine_frame_pity'
  })
})
onEvent('recipes', event => {
	event.remove({output: 'refinedstorage:machine_casing'})
	event.remove({output: 'refinedstorage:raw_basic_processor'})
	event.remove({output: 'refinedstorage:raw_improved_processor'})
	event.remove({output: 'refinedstorage:raw_advanced_processor'})
	event.remove({output: 'extrastorage:raw_neural_processor'})
	event.remove({output: 'extrastorage:neural_processor'})
	event.remove({output: 'refinedstorage:advanced_processor'})
	event.remove({output: 'refinedstorage:improved_processor'})
	event.remove({output: 'refinedstorage:basic_processor'})
	event.remove({output: 'extrastorage:gold_crafter'})
	event.remove({output: 'extrastorage:iron_crafter'})
})
onEvent('recipes', event => {
  event.recipes.createSequencedAssembly([
  Item.of('2x refinedstorage:advanced_processor').withChance(100),
  Item.of('create:brass_ingot').withChance(0),
  'minecraft:andesite',
  'thermal:cured_rubber',
  'minecraft:redstone',
  'minecraft:iron_ingot'
], 'minecraft:diamond', [
  event.recipes.createDeploying('refinedstorage:raw_advanced_processor', ['refinedstorage:raw_advanced_processor', 'thermal:iron_plate']),
  event.recipes.createDeploying('refinedstorage:raw_advanced_processor', ['refinedstorage:raw_advanced_processor', 'minecraft:redstone']),
  event.recipes.createDeploying('refinedstorage:raw_advanced_processor', ['refinedstorage:raw_advanced_processor', 'thermal:cured_rubber']),
]).transitionalItem('refinedstorage:raw_advanced_processor').loops(2)
  event.recipes.createSequencedAssembly([
  Item.of('2x refinedstorage:improved_processor').withChance(100),
  Item.of('create:brass_ingot').withChance(0),
  'minecraft:andesite',
  'thermal:cured_rubber',
  'minecraft:redstone',
  'minecraft:iron_ingot'
], 'minecraft:gold_ingot', [
  event.recipes.createDeploying('refinedstorage:raw_improved_processor', ['refinedstorage:raw_improved_processor', 'thermal:iron_plate']),
  event.recipes.createDeploying('refinedstorage:raw_improved_processor', ['refinedstorage:raw_improved_processor', 'minecraft:redstone']),
  event.recipes.createDeploying('refinedstorage:raw_improved_processor', ['refinedstorage:raw_improved_processor', 'thermal:cured_rubber']),
]).transitionalItem('refinedstorage:raw_improved_processor').loops(2)
  event.recipes.createSequencedAssembly([
  Item.of('2x refinedstorage:basic_processor').withChance(100),
  Item.of('create:brass_ingot').withChance(0),
  'minecraft:andesite',
  'thermal:cured_rubber',
  'minecraft:redstone',
  'minecraft:iron_ingot'
], 'minecraft:iron_ingot', [
  event.recipes.createDeploying('refinedstorage:raw_basic_processor', ['refinedstorage:raw_basic_processor', 'thermal:iron_plate']),
  event.recipes.createDeploying('refinedstorage:raw_basic_processor', ['refinedstorage:raw_basic_processor', 'minecraft:redstone']),
  event.recipes.createDeploying('refinedstorage:raw_basic_processor', ['refinedstorage:raw_basic_processor', 'thermal:cured_rubber']),
]).transitionalItem('refinedstorage:raw_basic_processor').loops(2)
event.custom({"input": [{"item": "minecraft:gold_ingot"},{"item": "thermal:iron_plate"},{"item": "thermal:cured_rubber"},{"item": "minecraft:redstone"}],"inputFluid": "{FluidName:\"thermal:latex\",Amount:250}",
"processingTime": 300,"output": {"item": "refinedstorage:improved_processor","count": 1},"type": "industrialforegoing:dissolution_chamber"}).id('industrialforegoing:dissolution_chamber/improved_processor')
event.custom({"input": [{"item": "minecraft:iron_ingot"},{"item": "thermal:iron_plate"},{"item": "thermal:cured_rubber"},{"item": "minecraft:redstone"}],"inputFluid": "{FluidName:\"thermal:latex\",Amount:250}",
"processingTime": 300,"output": {"item": "refinedstorage:basic_processor","count": 1},"type": "industrialforegoing:dissolution_chamber"}).id('industrialforegoing:dissolution_chamber/basic_processor')
event.custom({"input": [{"item": "minecraft:diamond"},{"item": "thermal:iron_plate"},{"item": "thermal:cured_rubber"},{"item": "minecraft:redstone"}],"inputFluid": "{FluidName:\"thermal:latex\",Amount:250}",
"processingTime": 300,"output": {"item": "refinedstorage:advanced_processor","count": 1},"type": "industrialforegoing:dissolution_chamber"}).id('industrialforegoing:dissolution_chamber/advanced_processor')
event.custom({"input": [{"item": "refinedstorage:advanced_processor"},{"item": "refinedstorage:improved_processor"},{"item": "industrialforegoing:plastic"},{"item": "industrialforegoing:plastic"},{"item": "industrialforegoing:plastic"},{"item": "minecraft:obsidian"},{"item": "minecraft:obsidian"},{"item": "minecraft:obsidian"}],"inputFluid": "{FluidName:\"thermal:latex\",Amount:250}",
"processingTime": 300,"output": {"item": "extrastorage:neural_processor","count": 1},"type": "industrialforegoing:dissolution_chamber"}).id('industrialforegoing:dissolution_chamber/neural_processor')
 event.custom({"input": [{"item": "extrastorage:neural_processor"},{"item": "refinedstorage:crafter"},{"item": "extrastorage:neural_processor"},{"item": "minecraft:iron_block"},{"item": "minecraft:iron_block"},{"item": "envirocore:erodium_crystal"},{"item": "mekanism:personal_chest"},{"item": "envirocore:erodium_crystal"}],"inputFluid": "{FluidName:\"industrialforegoing:latex\",Amount:1000}",
"processingTime": 300,"output": {"item": "extrastorage:iron_crafter","count": 1},"type": "industrialforegoing:dissolution_chamber"}).id('industrialforegoing:dissolution_chamber/iron_crafter')
})
onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})
